#include "FoodItem.h"

AFoodItem::AFoodItem()
{
    PrimaryActorTick.bCanEverTick = false; // Essen muss nicht ticken
    
    RootComponent = CreateDefaultSubobject<USceneComponent>(TEXT("Root"));
    MeshComponent = CreateDefaultSubobject<UStaticMeshComponent>(TEXT("Mesh"));
    MeshComponent->SetupAttachment(RootComponent);
    
    FoodType = EFoodType::Normal;
}